Bug 1652423 - Failed to auto-attach RHEL-8.0-Snapshot-1.0 against Satellite6.4
Summary: Failed to auto-attach RHEL-8.0-Snapshot-1.0 against Satellite6.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Registration
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 03:47 UTC by qianzhan
Modified: 2019-10-07 17:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:03 UTC


Attachments (Terms of Use)
manifest-import-error.png (152.49 KB, image/png)
2018-11-22 03:50 UTC, qianzhan
no flags Details
manifest-import-task.png (119.57 KB, image/png)
2018-11-22 03:51 UTC, qianzhan
no flags Details
rhsm.log (11.79 KB, text/plain)
2018-11-22 03:51 UTC, qianzhan
no flags Details
manifest-import-error-details (19.26 KB, text/plain)
2018-11-22 03:52 UTC, qianzhan
no flags Details
task_warning_when_importing_latest_manifest.png (131.45 KB, image/png)
2018-11-30 04:01 UTC, qianzhan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:13 UTC

Description qianzhan 2018-11-22 03:47:26 UTC
Description of problem:
Failed to auto-attach RHEL-8.0-Snapshot-1.0 against Satellite6.4

Version-Release number of selected component (if applicable):
subscription-manager-1.23.8-1.el8.x86_64
katello-3.7.0-8.el7sat.noarch
tfm-rubygem-katello-3.7.0.41-1.el7sat.noarch

How reproducible:
always

Steps to Reproduce:
1. Install RHEL-8.0-20181120.0, and register it to Satellite6.4:
[root@dell-r730-001-guest15 ~]# subscription-manager  register
Registering to: ent-01-vm-02.lab.eng.nay.redhat.com:443/rhsm
Username: admin
Password: 
The system has been registered with ID: c65add8d-b5a8-4251-9153-2e6f46230076
The registered system name is: dell-r730-001-guest15.dsal.lab.eng.rdu2.redhat.com

2. Run auto-attach:
[root@dell-r730-001-guest15 ~]# subscription-manager  attach
HTTP error code 500: Runtime Error TypeError: Cannot read property "length" from undefined (rules#2982) at org.mozilla.javascript.ScriptRuntime.constructError:3,785

3. Check the manifest: 
1) Manifest is imported into Satellite. 
2) Delete the manifest on Satellite Web UI, and re-import it:
Manifes can be re-imported with an error 'Validation failed: Locations expecting locations used by hosts or inherited (check mismatches report).'

Actual results:
As step 2.

Expected results:
Auto-attach should be successful.
Manifest should be imported into satellite6.4 successfully.

Additional info:
I'm not sure if the auto-attach failure is related to the manifest importing error. But I attach all the related attachments here:
Please see attachment 'rhsm.log' on RHEL8.
Please see attachments 'manifest-import-error.png', 'manifest-import-task.png', and 'manifest-import-error-details' on Satellite Web UI.

Comment 1 qianzhan 2018-11-22 03:50:45 UTC
Created attachment 1507870 [details]
manifest-import-error.png

Comment 2 qianzhan 2018-11-22 03:51:16 UTC
Created attachment 1507871 [details]
manifest-import-task.png

Comment 3 qianzhan 2018-11-22 03:51:54 UTC
Created attachment 1507872 [details]
rhsm.log

Comment 4 qianzhan 2018-11-22 03:52:20 UTC
Created attachment 1507873 [details]
manifest-import-error-details

Comment 5 Evgeni Golov 2018-11-22 10:01:23 UTC
k-attach-subscription is the wrong component for this, moving to registration

Comment 9 Tramaine Darby 2018-11-28 17:52:14 UTC
Please confirm if the original registration attempt was in the stage environment.

Comment 11 Shayne Riley 2018-11-28 18:15:06 UTC
This is my timeline, as I understand it:

2018-11-14 - Stage upgraded to Candlepin 2.3.10
2018-11-21 - This bug is filed
2018-11-28 - Stage downgraded to Candlepin 2.3.9
           - jsefler noted that auto-attaching subs (not relating to Satellite) fails.
           - I deleted the rules that came with Candlepin 2.3.10, reverting back to 2.3.9 rules
           - auto-attaching works again

How I see it, this is potentially an issue with the rules that came with 2.3.10.

Comment 12 qianzhan 2018-11-29 02:44:59 UTC
Hi Jenny and Shayne,

I used Ethel to create an account, and attach related SKUs. Then I logged in the Stage Customer Portal to export manifest for Satellite6.4.

I don't know when the Stage candlepin was upgraded from 2.3.9 to 2.3.10, but my manifest for Satellite is not exported during recent days.

Hope my information can help.

Comment 13 qianzhan 2018-11-29 02:53:48 UTC
(In reply to Tramaine Darby from comment #9)
> Please confirm if the original registration attempt was in the stage
> environment.

Yes, Tramaine, I use Stage environment to export my manifest.

Can I understand it like this: Although manifest have been exported from Stage, the change of Stage candlepin will affect entitlement consuming through the manifest?

Comment 16 qianzhan 2018-11-30 04:01:21 UTC
Created attachment 1510064 [details]
task_warning_when_importing_latest_manifest.png

Comment 17 qianzhan 2018-11-30 11:07:56 UTC
Today(Nov 30 CST 2018), I deployed a totally new Satellite6.4.0, and exported the latest manifest from Stage for Satellite6.4.

Then register RHEL-8.0-20181120.0 against Satellite6.4.0, and auto-attach:

1) Satellite6.4.0:

tfm-rubygem-katello-3.7.0.41-1.el7sat.noarch
candlepin-2.4.8-1.el7.noarch

2) RHEL-8.0-20181120.0:
[root@dell-r730-001-guest27 ~]# subscription-manager  version
server type: Red Hat Subscription Management
subscription management server: 3.7.0.41-Unknown
subscription management rules: 5.26
subscription-manager: 1.23.8-1.el8

3)
[root@dell-r730-001-guest27 ~]# subscription-manager  register
Registering to: ibm-x3655-03.ovirt.rhts.eng.bos.redhat.com:443/rhsm
Username: admin
Password: 
The system has been registered with ID: bc64fa73-163b-407c-abd4-4d562388afdc
The registered system name is: dell-r730-001-guest27.dsal.lab.eng.rdu2.redhat.com


[root@dell-r730-001-guest27 ~]# subscription-manager  attach
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux for x86_64 High Touch Beta
Status:       Subscribed

Comment 21 qianzhan 2018-12-03 03:36:43 UTC
(In reply to qianzhan from comment #17)
> Today(Nov 30 CST 2018), I deployed a totally new Satellite6.4.0, and
> exported the latest manifest from Stage for Satellite6.4.
> 
> Then register RHEL-8.0-20181120.0 against Satellite6.4.0, and auto-attach:
> 
> 1) Satellite6.4.0:
> 
> tfm-rubygem-katello-3.7.0.41-1.el7sat.noarch
> candlepin-2.4.8-1.el7.noarch
> 
> 2) RHEL-8.0-20181120.0:
> [root@dell-r730-001-guest27 ~]# subscription-manager  version
> server type: Red Hat Subscription Management
> subscription management server: 3.7.0.41-Unknown
> subscription management rules: 5.26
> subscription-manager: 1.23.8-1.el8
> 
> 3)
> [root@dell-r730-001-guest27 ~]# subscription-manager  register
> Registering to: ibm-x3655-03.ovirt.rhts.eng.bos.redhat.com:443/rhsm
> Username: admin
> Password: 
> The system has been registered with ID: bc64fa73-163b-407c-abd4-4d562388afdc
> The registered system name is:
> dell-r730-001-guest27.dsal.lab.eng.rdu2.redhat.com
> 
> 
> [root@dell-r730-001-guest27 ~]# subscription-manager  attach
> Installed Product Current Status:
> Product Name: Red Hat Enterprise Linux for x86_64 High Touch Beta
> Status:       Subscribed

Move this bug to VERIFIED.

Comment 28 errata-xmlrpc 2019-05-14 12:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.